package fromHtml.image.tutorialandroid.com;

import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;

import android.app.Activity;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.Html;
import android.text.Spanned;
import android.text.Html.ImageGetter;
import android.util.Log;
import android.widget.TextView;

public class HtmlFromHtmlImageActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        String html = "Tus ejemplos en<br/>TutorialAndroid.com<br/><br/><img src='http://www.tutorialandroid.com/tutorialandroidcom.jpg' />";
      	        	 
      	Spanned s = Html.fromHtml(html,getImageHTML(),null);
        TextView txt = (TextView)findViewById(R.id.main_menu_textview);
      	txt.setText(s);
    } 

    public ImageGetter getImageHTML(){
    	 ImageGetter ig = new ImageGetter(){
        	 public Drawable getDrawable(String source) {
        	  try{
        	   Drawable d = Drawable.createFromStream(new URL(source).openStream(), "src name");
        	   d.setBounds(0, 0, d.getIntrinsicWidth(),d.getIntrinsicHeight());
        	   return d;
        	  }catch(IOException e){
        	   Log.v("IOException",e.getMessage());
        	   return null;
        	  }
        	 }
        	};
        return ig;	
    }
    

}